Create Loyalty Transaction
curl --request POST \
--url https://admin.snagsolutions.io/api/loyalty/transactions \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"description": "Purchase of item X",
"entries": [
{
"amount": 5,
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"direction": "credit",
"idempotencyKey": "example-idempotency-key",
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174090"
}
],
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174090",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://admin.snagsolutions.io/api/loyalty/transactions"
payload = {
"description": "Purchase of item X",
"entries": [
{
"amount": 5,
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"direction": "credit",
"idempotencyKey": "example-idempotency-key",
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174090"
}
],
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174090",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Purchase of item X',
entries: [
{
amount: 5,
walletAddress: '0x1234567890abcdef1234567890abcdef12345678',
direction: 'credit',
idempotencyKey: 'example-idempotency-key',
loyaltyCurrencyId: '123e4567-e89b-12d3-a456-426614174090'
}
],
loyaltyCurrencyId: '123e4567-e89b-12d3-a456-426614174090',
websiteId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://admin.snagsolutions.io/api/loyalty/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"entries": [
{
"walletAddress": "<string>",
"amount": 123,
"direction": "credit",
"idempotencyKey": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Loyalty
Create Loyalty Transaction
Create a loyalty transaction to update account balances.
POST
/
api
/
loyalty
/
transactions
Create Loyalty Transaction
Authorizations
Body
application/json
Body
Schema for creating a loyalty transaction
Description of the loyalty transaction
Example:
"Purchase of item X"
Array of transaction entries
Show child attributes
Show child attributes
Unique identifier for the loyalty currency
Example:
"123e4567-e89b-12d3-a456-426614174090"
Was this page helpful?
Get Processing status and progress data for a specific user on loyalty rulesGet Loyalty Transaction Entries
⌘I